Bug 136392 - authd fails with spamd
Summary: authd fails with spamd
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: authd (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 136367
TreeView+ depends on / blocked
 
Reported: 2004-10-19 17:44 UTC by Thomas Zehetbauer
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 1.4.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-16 16:49:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace (9.96 KB, text/plain)
2004-10-19 17:50 UTC, Thomas Zehetbauer
no flags Details
ethereal pcap dump (1.03 KB, application/octet-stream)
2004-10-19 17:50 UTC, Thomas Zehetbauer
no flags Details
authd-1.2.8-1.fc3.src.rpm (29.64 KB, text/plain)
2004-11-15 17:29 UTC, Ian Pilcher
no flags Details

Description Thomas Zehetbauer 2004-10-19 17:44:40 UTC
Running spamassassin/spamd with --auth-ident triggers a rather obscure
bug in authd-1.4.2-8.x86_64. Either a non protocol conformant glibc
error message is returned to the spamd client or the connection is
prematurely terminated with the following message in syslog:

Oct 19 16:27:51 hostmaster kernel: in.authd[27780]: segfault at
0000000000528008 rip 0000002a959012be rsp 0000007fbffff180 error 4

Comment 1 Thomas Zehetbauer 2004-10-19 17:50:08 UTC
Created attachment 105453 [details]
strace

Comment 2 Thomas Zehetbauer 2004-10-19 17:50:45 UTC
Created attachment 105454 [details]
ethereal pcap dump

Comment 3 Matthew S. Hallacy 2004-11-12 19:53:39 UTC
This is easy to reproduce:

telnet localhost 113
123, 123
*** glibc detected *** double free or corruption: 0x082066b8 ***


I gave up on the random-identd-daemon-of-the-week game and installed
pidentd, which works fine.

Comment 4 Ian Pilcher 2004-11-15 01:30:49 UTC
I am seeing the same error.  This is a showstopper for anyone who
wants to use PostgreSQL IDENT authentication across a TCP/IP socket
(with JDBC for example).

Comment 5 Ian Pilcher 2004-11-15 17:29:15 UTC
Created attachment 106725 [details]
authd-1.2.8-1.fc3.src.rpm

authd-1.2.8-1.fc3 seems to work.  Attaching the SRPM for anyone who wants to
try it, since Rawhide packages tend to "just fade away".

Comment 6 Eido Inoue 2004-11-15 23:27:10 UTC
laddr and raddr need to be set to NULL after they're freed in line 663

         else if (*laddr == '\0' || *raddr == '\0') {
             // host address doesn't match peer address, so skip it
-            free(laddr); free(raddr); continue;
         }
         else if (*laddr == '\0' || *raddr == '\0') {
             // host address doesn't match peer address, so skip it
+            free(laddr); free(raddr); laddr = raddr = NULL; continue;
         }



Note You need to log in before you can comment on or make changes to this bug.